%define fw_version 5.24

Summary:	KDE Frameworks 5 emoticons and emoticons themes support module
Name:		kemoticons
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5archive-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 emoticons and emoticons themes support module.

KEmoticons converts emoticons from text to a graphical representation with
images in HTML. It supports setting different themes for emoticons coming
from different providers.

%files
%{_kde5_datadir}/emoticons/Breeze/
%{_kde5_datadir}/emoticons/EmojiOne/
%{_kde5_datadir}/emoticons/Konqi/
%{_kde5_plugindir}/KEmoticonsIntegrationPlugin.so
%{_kde5_plugindir}/emoticonsthemes/*.so
%{_kde5_services}/emoticonstheme_*.desktop
%{_kde5_servicetypes}/kemoticonsTheme.desktop

#----------------------------------------------------------------------------

%define kf5emoticons_major 5
%define libkf5emoticons %mklibname kf5emoticons %{kf5emoticons_major}

%package -n %{libkf5emoticons}
Summary:	KDE Frameworks 5 emoticons support shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5emoticons}
KDE Frameworks 5 KEmoticons emoticons support library.

%files -n %{libkf5emoticons}
%{_kde5_libdir}/libKF5Emoticons.so.%{kf5emoticons_major}*

#----------------------------------------------------------------------------

%define devkf5emoticons %mklibname kf5emoticons -d

%package -n %{devkf5emoticons}
Summary:	Development files for KDE Frameworks 5 emoticons support module
Group:		Development/KDE and Qt
Requires:	%{libkf5emoticons} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5emoticons-devel = %{version}

%description -n %{devkf5emoticons}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5emoticons}
%{_kde5_includedir}/KF5/KEmoticons
%{_kde5_includedir}/KF5/kemoticons_version.h
%{_kde5_libdir}/cmake/KF5Emoticons
%{_kde5_libdir}/libKF5Emoticons.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Sun Jul 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (dfba9ca) Update files (drop Glass, it's moved to kde-look.org)


